This documentation is for a release that is no longer maintained.
You can select a different version or view all RHACS documentation.Chapter 27. Deployment Service
27.1. Deployment Service Copy linkLink copied to clipboard!
27.1.1. CountDeployments Copy linkLink copied to clipboard!
GET /v1/deploymentscount
CountDeployments returns the number of deployments.
27.1.1.1. Description Copy linkLink copied to clipboard!
27.1.1.2. Parameters Copy linkLink copied to clipboard!
27.1.1.2.1. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| query | - | null | ||
| pagination.limit | - | null | ||
| pagination.offset | - | null | ||
| pagination.sortOption.field | - | null | ||
| pagination.sortOption.reversed | - | null | ||
| pagination.sortOption.aggregateBy.aggrFunc | - | UNSET | ||
| pagination.sortOption.aggregateBy.distinct | - | null |
27.1.1.3. Return Type Copy linkLink copied to clipboard!
27.1.1.4. Content Type Copy linkLink copied to clipboard!
- application/json
27.1.1.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
27.1.1.6. Samples Copy linkLink copied to clipboard!
27.1.2. ExportDeployments Copy linkLink copied to clipboard!
GET /v1/export/deployments
27.1.2.1. Description Copy linkLink copied to clipboard!
27.1.2.2. Parameters Copy linkLink copied to clipboard!
27.1.2.2.1. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| timeout | - | null | ||
| query | - | null |
27.1.2.3. Return Type Copy linkLink copied to clipboard!
Stream result of v1ExportDeploymentResponse.
27.1.2.4. Content Type Copy linkLink copied to clipboard!
- application/json
27.1.2.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response.(streaming responses) | Stream result of v1ExportDeploymentResponse. |
| 0 | An unexpected error response. |
27.1.2.6. Samples Copy linkLink copied to clipboard!
27.1.3. GetDeployment Copy linkLink copied to clipboard!
GET /v1/deployments/{id}
GetDeployment returns a deployment given its ID.
27.1.3.1. Description Copy linkLink copied to clipboard!
27.1.3.2. Parameters Copy linkLink copied to clipboard!
27.1.3.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| id | X | null |
27.1.3.3. Return Type Copy linkLink copied to clipboard!
27.1.3.4. Content Type Copy linkLink copied to clipboard!
- application/json
27.1.3.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
27.1.3.6. Samples Copy linkLink copied to clipboard!
27.1.4. GetDeploymentWithRisk Copy linkLink copied to clipboard!
GET /v1/deploymentswithrisk/{id}
GetDeploymentWithRisk returns a deployment and its risk given its ID.
27.1.4.1. Description Copy linkLink copied to clipboard!
27.1.4.2. Parameters Copy linkLink copied to clipboard!
27.1.4.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| id | X | null |
27.1.4.3. Return Type Copy linkLink copied to clipboard!
27.1.4.4. Content Type Copy linkLink copied to clipboard!
- application/json
27.1.4.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
27.1.4.6. Samples Copy linkLink copied to clipboard!
27.1.5. GetLabels Copy linkLink copied to clipboard!
GET /v1/deployments/metadata/labels
GetLabels returns the labels used by deployments.
27.1.5.1. Description Copy linkLink copied to clipboard!
27.1.5.2. Parameters Copy linkLink copied to clipboard!
27.1.5.3. Return Type Copy linkLink copied to clipboard!
27.1.5.4. Content Type Copy linkLink copied to clipboard!
- application/json
27.1.5.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
27.1.5.6. Samples Copy linkLink copied to clipboard!
27.1.6. ListDeployments Copy linkLink copied to clipboard!
GET /v1/deployments
ListDeployments returns the list of deployments.
27.1.6.1. Description Copy linkLink copied to clipboard!
27.1.6.2. Parameters Copy linkLink copied to clipboard!
27.1.6.2.1. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| query | - | null | ||
| pagination.limit | - | null | ||
| pagination.offset | - | null | ||
| pagination.sortOption.field | - | null | ||
| pagination.sortOption.reversed | - | null | ||
| pagination.sortOption.aggregateBy.aggrFunc | - | UNSET | ||
| pagination.sortOption.aggregateBy.distinct | - | null |
27.1.6.3. Return Type Copy linkLink copied to clipboard!
27.1.6.4. Content Type Copy linkLink copied to clipboard!
- application/json
27.1.6.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
27.1.6.6. Samples Copy linkLink copied to clipboard!
27.1.7. ListDeploymentsWithProcessInfo Copy linkLink copied to clipboard!
GET /v1/deploymentswithprocessinfo
ListDeploymentsWithProcessInfo returns the list of deployments with process information.
27.1.7.1. Description Copy linkLink copied to clipboard!
27.1.7.2. Parameters Copy linkLink copied to clipboard!
27.1.7.2.1. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| query | - | null | ||
| pagination.limit | - | null | ||
| pagination.offset | - | null | ||
| pagination.sortOption.field | - | null | ||
| pagination.sortOption.reversed | - | null | ||
| pagination.sortOption.aggregateBy.aggrFunc | - | UNSET | ||
| pagination.sortOption.aggregateBy.distinct | - | null |
27.1.7.3. Return Type Copy linkLink copied to clipboard!
27.1.7.4. Content Type Copy linkLink copied to clipboard!
- application/json
27.1.7.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |